Bug 35082 - [Haiku] Fix conversion from BString to String for real.
: [Haiku] Fix conversion from BString to String for real.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Platform
: 528+ (Nightly build)
: Other Other
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-18 02:25 PST by Stephan Aßmus
Modified: 2010-02-23 08:32 PST (History)
2 users (show)

See Also:


Attachments
Fixes conversion from BString to String (2.02 KB, patch)
2010-02-18 02:27 PST, Stephan Aßmus
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Aßmus 2010-02-18 02:25:03 PST
The previous patch to this file was broken (sorry). First of all, the conversion from UTF8 was accidentally removed. Second, for empty strings, we need to point the implementation at StringImpl::empty().
Comment 1 Stephan Aßmus 2010-02-18 02:27:58 PST
Created attachment 48988 [details]
Fixes conversion from BString to String

This patch fixes the conversion for real. Patch is again r54932 and does not depend on any other patches.
Comment 2 Stephan Aßmus 2010-02-18 02:29:47 PST
BTW, the include sorting is correct, the style bot doesn't handle this case.
Comment 3 Eric Seidel 2010-02-22 14:04:09 PST
Comment on attachment 48988 [details]
Fixes conversion from BString to String

Changing bstring to string makes this more confusing to my eyes.

Otherwise this looks sane.
Comment 4 WebKit Commit Bot 2010-02-23 08:32:11 PST
Comment on attachment 48988 [details]
Fixes conversion from BString to String

Clearing flags on attachment: 48988

Committed r55154: <http://trac.webkit.org/changeset/55154>
Comment 5 WebKit Commit Bot 2010-02-23 08:32:15 PST
All reviewed patches have been landed.  Closing bug.